As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 687216 - XHR in worker to bogus URI leads to Assertion failure: foundIndex != size_t(-1), at c:/dev/mozilla-central/dom/workers/Exceptions.cpp:259
: XHR in worker to bogus URI leads to Assertion failure: foundIndex != size_t(-...
Status: RESOLVED FIXED
[inbound][qa-]
: regression
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla10
Assigned To: Ben Turner (not reading bugmail, use the needinfo flag!)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: new-web-workers 687221
  Show dependency treegraph
 
Reported: 2011-09-16 22:06 PDT by Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary)
Modified: 2011-11-21 18:09 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
affected
+
fixed
fixed


Attachments
Patch, v1 (2.01 KB, patch)
2011-11-04 12:58 PDT, Ben Turner (not reading bugmail, use the needinfo flag!)
jonas: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-09-16 22:06:18 PDT
Page:

<!DOCTYPE HTML>
<html>
<body>
<script type="text/javascript">

var worker = new Worker("boom.js");
worker.postMessage("abcd");

</script>
</body>
</html>

Worker:

var xhr = new XMLHttpRequest();

onmessage = function(event) {
  xhr.open("POST", event.data);
  xhr.send(null);
}

Result (when run locally):
Assertion failure: foundIndex != size_t(-1), at c:/dev/mozilla-central/dom/worke
rs/Exceptions.cpp:259

On an opt build we print an exception to the error console that has random garbage for text.

Note that I can only reproduce this with a local testcase.
Comment 1 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-04 12:58:06 PDT
Created attachment 572054 [details] [diff] [review]
Patch, v1

We need to safeguard against unknown error codes.
Comment 2 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-05 13:17:46 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/6b3cde4cec7f
Comment 3 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-05 13:38:49 PDT
Comment on attachment 572054 [details] [diff] [review]
Patch, v1

I'd love to get this into the branches before we merge, it's a tiny fix that avoids a JS_ASSERT and a (harmless) undefined memory access.
Comment 4 User image Ed Morley [:emorley] 2011-11-06 05:27:32 PST
https://hg.mozilla.org/mozilla-central/rev/6b3cde4cec7f
Comment 5 User image christian 2011-11-07 10:47:01 PST
Comment on attachment 572054 [details] [diff] [review]
Patch, v1

[triage comment]
We're wiling to take this on aurora as the risk looks low (even if the reward is low). Please land today. It's too late for beta.
Comment 6 User image Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-07 15:27:48 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/66f33a0dc393
Comment 7 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 17:18:43 PST
Is there something QA can do to verify this fix?
Comment 8 User image Kyle Huey [:khuey] (Exited; not receiving bugmail, email if necessary) 2011-11-21 17:22:03 PST
You can verify that

(In reply to Kyle Huey [:khuey] (khuey@mozilla.com) from comment #0)
> On an opt build we print an exception to the error console that has random
> garbage for text.

does not happen.
Comment 9 User image Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-11-21 18:09:17 PST
qa- for someone who is already set up to test this bug to verify the fix.

Note You need to log in before you can comment on or make changes to this bug.